package com.brilliance.isc.swift.objmtconvert.model.mt2xx.tag.tag299;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt2xx.MT299Creator;

public class Tag79Creator extends AbsTagCreate {
    private MT299Creator mt299Creator;

    public Tag79Creator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt299Creator= (MT299Creator) absMTCreator;
    }

    public void creator()
    {
        String tag79Value = mt299Creator.getNarrative();
        mt299Creator.set("79", tag79Value);
    }
}
